Package org.optaplanner.core.impl.domain.constraintweight.descriptor

## Class ConstraintConfigurationDescriptor<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.domain.constraintweight.descriptor.ConstraintConfigurationDescriptor<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class ConstraintConfigurationDescriptor<Solution_>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstraintConfigurationDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor, Class<?> constraintConfigurationClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintWeightDescriptor<Solution_>` | `findConstraintWeightDescriptor​(String constraintPackage, String constraintName)` |
    `Class<?>` | `getConstraintConfigurationClass()` |
    `String` | `getConstraintPackage()` |
    `ConstraintWeightDescriptor<Solution_>` | `getConstraintWeightDescriptor​(String propertyName)` |
    `Collection<ConstraintWeightDescriptor<Solution_>>` | `getConstraintWeightDescriptors()` |
    `SolutionDescriptor<Solution_>` | `getSolutionDescriptor()` |
    `void` | `processAnnotations​(DescriptorPolicy descriptorPolicy, ScoreDefinition scoreDefinition)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintConfigurationDescriptor

          public ConstraintConfigurationDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor,
                                                   Class<?> constraintConfigurationClass)

  - ### Method Detail

    - #### getConstraintPackage

          public String getConstraintPackage()

    - #### getConstraintWeightDescriptors

          public Collection<ConstraintWeightDescriptor<Solution_>> getConstraintWeightDescriptors()

    - #### getConstraintWeightDescriptor

          public ConstraintWeightDescriptor<Solution_> getConstraintWeightDescriptor​(String propertyName)

    - #### processAnnotations

          public void processAnnotations​(DescriptorPolicy descriptorPolicy,
                                         ScoreDefinition scoreDefinition)

    - #### getSolutionDescriptor

          public SolutionDescriptor<Solution_> getSolutionDescriptor()

    - #### getConstraintConfigurationClass

          public Class<?> getConstraintConfigurationClass()

    - #### findConstraintWeightDescriptor

          public ConstraintWeightDescriptor<Solution_> findConstraintWeightDescriptor​(String constraintPackage,
                                                                                      String constraintName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`